package org.opencalaccess.boundaries.eo;


import java.util.Date;

import org.opencalaccess.U;
import org.slf4j.Logger;
import org.slf4j.LoggerFactory;

public class OsmRelationCheck extends _OsmRelationCheck {

	private static final long serialVersionUID = -2315756454834533203L;

	public static final int CHECK_IS_GOOD = 1;
	public static final int CHECK_IS_BAD = 0;
	
	@SuppressWarnings("unused")
	private static final Logger log = LoggerFactory.getLogger(OsmRelationCheck.class);

	public String checkedDateTime() { return (this.checkedTime() != null) ? U.shortDateFormat.get().format(new Date(this.checkedTime())) : null; }

	public boolean isGood() { return this.checkResult() == CHECK_IS_GOOD; }
}
