package org.opencalaccess.cards.eo;

import org.apache.commons.text.StringEscapeUtils;
import org.slf4j.Logger;
import org.slf4j.LoggerFactory;

public class CardTest extends _CardTest {

	private static final long serialVersionUID = 8607384841688403029L;

	@SuppressWarnings("unused")
	private static final Logger log = LoggerFactory.getLogger(CardTest.class);

	public void markTakenNow() {
		this.setTestTaken(System.currentTimeMillis());
	}

	public String getEscapedResponse() {
		if (this.response() == null) {
			return null;
		} else {
			return StringEscapeUtils.escapeHtml4(this.response());
		}
	}
}
