package org.opencalaccess.courtcases.eo;

import org.slf4j.Logger;
import org.slf4j.LoggerFactory;

import com.webobjects.eocontrol.EOEditingContext;
import com.webobjects.foundation.NSArray;

import er.extensions.eof.ERXQ;

public class CourtCalendarDateDept extends _CourtCalendarDateDept {

	private static final long serialVersionUID = -2368599331801944795L;

	@SuppressWarnings("unused")
	private static final Logger log = LoggerFactory.getLogger(CourtCalendarDateDept.class);

	public static NSArray<CourtCalendarDateDept> realDepts(EOEditingContext ec) {
		NSArray<CourtCalendarDateDept> depts = CourtCalendarDateDept.fetchCourtCalendarDateDepts(
				ec,
				ERXQ.not(ERXQ.is(CourtCalendarDateDept.DEPARTMENT_KEY, "-1"))
						.and(ERXQ.not(ERXQ.is(CourtCalendarDateDept.DEPARTMENT_KEY, "NONE"))),
				null);
		return depts;
	}
}
