package org.opencalaccess.leginfo.eo;

import org.slf4j.Logger;
import org.slf4j.LoggerFactory;

public class BillVersionAuthor extends _BillVersionAuthor {

	private static final long serialVersionUID = 2782713563340425300L;

	@SuppressWarnings("unused")
	private static final Logger log = LoggerFactory.getLogger(BillVersionAuthor.class);

	public BillVersion billVersion() {
		return BillVersion.fetchBillVersion(
				this.editingContext(),
				BillVersion.BILL_VERSION_ID.is(this.billVersionId()));
	}
}
