package org.opencalaccess.courtcases.eo;

import org.slf4j.Logger;
import org.slf4j.LoggerFactory;

import com.webobjects.eocontrol.EOEditingContext;
import com.webobjects.foundation.NSArray;
import com.webobjects.foundation.NSMutableArray;

public class CourtWorkerMessage extends _CourtWorkerMessage {

	private static final long serialVersionUID = -126642617992576430L;

	@SuppressWarnings("unused")
	private static final Logger log = LoggerFactory.getLogger(CourtWorkerMessage.class);

	public static NSArray<CourtWorkerMessage> messagesForUser(EOEditingContext ec, String email) {
		NSMutableArray<CourtWorkerMessage> found = new NSMutableArray<>();
		for (CourtWorkerMessage oneMessage : CourtWorkerMessage.fetchAllCourtWorkerMessages(ec)) {
			if (oneMessage.user().emailAddress().equals(email)) {
				found.add(oneMessage);
			}
		}
		return found.immutableClone();
		//return CourtWorkerMessage.fetchCourtWorkerMessages(ec, CourtWorkerMessage.USER.dot(User.EMAIL_ADDRESS).is(email), null);
	}
}
