package org.opencalaccess.dailyjail.eo;

import java.io.File;

import org.opencalaccess.U;
import org.slf4j.Logger;
import org.slf4j.LoggerFactory;

public class SccDailyJailFile extends _SccDailyJailFile {

	private static final long serialVersionUID = -4642286959360465350L;

	@SuppressWarnings("unused")
	private static final Logger log = LoggerFactory.getLogger(SccDailyJailFile.class);

	public File pdfFile() {
		if (U.isLocal()) {
			return new File(System.getProperty("user.home") + "/Projects/SCC_Sheriff/PDF/" + this.tsvName());
		} else {
			return new File("/var/www/opencalaccess_org/appwo/daily_jail/PDF/" + this.tsvName());
		}
	}

	public File tsvFile() {
		if (U.isLocal()) {
			return new File(System.getProperty("user.home") + "/Projects/SCC_Sheriff/TSV/" + this.tsvName());
		} else {
			return new File("/var/www/opencalaccess_org/appwo/daily_jail/TSV/" + this.tsvName());
		}	}
}
