package org.opencalaccess.leginfo.eo;

import org.apache.log4j.Logger;

import com.webobjects.foundation.NSArray;
import com.webobjects.foundation.NSMutableArray;

public class BillVoteSummary extends _BillVoteSummary {

	private static final long serialVersionUID = -7926319087906282991L;

	@SuppressWarnings("unused")
	private static Logger log = Logger.getLogger(BillVoteSummary.class);

	/**
	 * There seem to be an arbitrary number of variations of the BR tag here and there
	 * seems to be no reason for them.
	 */
	public String displayLines() {
		String previous = super.displayLines();
		if (previous == null) {
			return null;
		}
		previous = previous.replaceAll("</BR>", "<BR>");
		previous = previous.replaceAll("<BR/>", "<BR>");
		NSArray<String> parts1 = NSArray.componentsSeparatedByString(previous, "<BR>");
		NSMutableArray<String> cleaned = new NSMutableArray<>();
		for (String aFound : parts1) {
			if (aFound != null && ! aFound.isEmpty()) {
				cleaned.add(aFound);
			}
		}
		String result = cleaned.componentsJoinedByString("<br/>");
		return result;
	}
}
